/*
   Copyright (C) 2007 - 2009 by Roberto García Carvajal <roberpot@gmail.com>
   Part of libglsws (http://magiccards.wordpress.com)

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License version 3
   or at your option any later version.
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY.

   See the COPYING file for more details.
*/

#include "c_esdatos.h"



void c_datos::insertar(GLuint i, c_dato dato)
{
 if(!datos.count(i))
  datos[i] = dato;
}

void c_datos::eliminar(GLuint i)
{
 if(!datos.count(i))
  datos.erase(i);
}

c_dato c_datos::recuperar(GLuint i)
{
 if(datos.count(i))
  return datos[i];
 svDatoNoExiste excepcion;
 throw excepcion;
 //return 0;
 // FIX-ME WARNING de retorno de datos.
}

bool c_datos::existe(GLuint i)
{
 if(!datos.count(i))
  return false;
 return true;
}
